org.apache.sysds.runtime.functionobjects

## Class CTable

- java.lang.Object
- - org.apache.sysds.runtime.functionobjects.FunctionObject
  - - org.apache.sysds.runtime.functionobjects.ValueFunction
    - - org.apache.sysds.runtime.functionobjects.CTable

All Implemented Interfaces:
  Serializable

    public class CTable
    extends ValueFunction

See Also:
  Serialized Form

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `execute(double v1, double v2, double w, boolean ignoreZeros, CTableMap resultMap)`
`void` `execute(double v1, double v2, double w, boolean ignoreZeros, CTableMap resultMap, MatrixBlock resultBlock)`
`void` `execute(double v1, double v2, double w, boolean ignoreZeros, MatrixBlock ctableResult)`
`int` `execute(int row, double v2, double w, int maxCol, MatrixBlock ctableResult)`
`Pair<MatrixIndexes,Double>` `execute(long row, double v2, double w)`
`static CTable` `getCTableFnObject()`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.ValueFunction

`requiresCorrection`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.FunctionObject

`clone, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getCTableFnObject

    public static CTable getCTableFnObject()

#### execute

    public void execute(double v1,
                        double v2,
                        double w,
                        boolean ignoreZeros,
                        CTableMap resultMap,
                        MatrixBlock resultBlock)

#### execute

    public void execute(double v1,
                        double v2,
                        double w,
                        boolean ignoreZeros,
                        CTableMap resultMap)

#### execute

    public void execute(double v1,
                        double v2,
                        double w,
                        boolean ignoreZeros,
                        MatrixBlock ctableResult)

#### execute

    public int execute(int row,
                       double v2,
                       double w,
                       int maxCol,
                       MatrixBlock ctableResult)

#### execute

    public Pair<MatrixIndexes,Double> execute(long row,
                                              double v2,
                                              double w)